# Deprecated functionality

All functionality in this section is considered deprecated. They will generate warnings and could be removed in a major release.

group (Deprecated functionality)

  Functions

  dds_return_t dds_get_enabled_status(dds_entity_t entity, uint32_t *mask)

    Deprecated:

      Get enabled status on entity. Use dds_get_status_mask instead.

    Parameters:

      - entity – [in] Entity to get the status.

      - mask – [out] Mask of enabled statuses set on the entity.

    Returns:

      A dds_return_t indicating success of failure.

  dds_return_t dds_set_enabled_status(dds_entity_t entity, uint32_t mask)

    Deprecated:

      Set enabled status on entity. Use dds_set_status_mask instead.

    Parameters:

      - entity – [in] Entity to enable the status.

      - mask – [out] Status value that indicates the status to be enabled.

    Returns:

      A dds_return_t indicating success of failure.

  dds_entity_t dds_create_topic_arbitrary(dds_entity_t participant, struct ddsi_sertopic *sertopic, const dds_qos_t *qos, const dds_listener_t *listener, const struct ddsi_plist *sedp_plist)

    Deprecated:

      Creates a new topic with provided type handling.

      Use dds_create_topic_sertype instead.

    Parameters:

      - participant – [in] Participant on which to create the topic.

      - sertopic – [inout] Legacy internal description of the type. On return, the sertype parameter is set to the actual sertype that is used by the topic.

      - qos – [in] QoS to set on the new topic (can be NULL).

      - listener – [in] Any listener functions associated with the new topic (can be NULL).

      - sedp_plist – [in] Topic description to be published as part of discovery (if NULL, not published).

    Returns:

      A valid, unique topic handle or an error code.

  dds_entity_t dds_find_topic_scoped(dds_find_scope_t scope, dds_entity_t participant, const char *name, dds_duration_t timeout)

    Deprecated:

      Finds a locally created or discovered remote topic by topic name

      Use dds_find_topic instead.

    Finds a locally created topic or a discovered remote topic based on the topic name. In case the topic is not found, this function will wait for the topic to become available until the provided time out.

    In case multiple (discovered) topics exist with the provided name, this function will return randomly one of these topic. The caller can decide to read DCPSTopic data and select one of the topic definitions to create the topic.

    The returned topic should be released with dds_delete.

    Parameters:

      - scope – [in] The scope used to find the topic

      - participant – [in] The handle of the participant the found topic will be created in

      - name – [in] The name of the topic to find.

      - timeout – [in] The timeout for waiting for the topic to become available

    Return values:

      - >0 – A valid topic handle.

      - 0 – No topic of this name existed yet

      - DDS_RETCODE_BAD_PARAMETER – Participant handle or scope invalid

    Returns:

      A valid topic handle or an error code.

  dds_listener_t *dds_listener_create(void *arg)

    Deprecated:

      use dds_create_listener instead. Allocate memory and initializes to default values (DDS_LUNSET) of a listener

    Parameters:

      - arg – [in] optional pointer that will be passed on to the listener callbacks

    Returns:

      Returns a pointer to the allocated memory for dds_listener_t structure.

  dds_qos_t *dds_qos_create(void)

    Deprecated:

      use dds_create_qos instead. Allocate memory and initialize default QoS-policies

    Returns:

      - Pointer to the initialized dds_qos_t structure, NULL if unsuccessful.